package com.persagy.constant;

/**
 * redis常量
 *
 * @author lixing
 * @version V1.0 2021/11/20 6:36 下午
 */
public class RedisConstant {

    /**
     * itemCode-objId拼接，用于获取报警定义状态
     */
    public static final String ALARM_CONDITION_STATE = "ALARM_CONDITION_STATE";

    /**
     * 报警条件
     */
    public static final String ALARM_CONDITIONS = "ALARM_CONDITIONS";

    /**
     * 设备与报警条件关联关系
     */
    public static final String OBJ_CONDITION_REL = "OBJ_CONDITION_REL";

    /**
     * 采集值锁前缀
     */
    public static final String alarmDataLockPrefix = "ALARM_DATA_LOCK:";

    /**
     * 报警记录锁前缀
     */
    public static final String alarmRecordLockPrefix = "ALARM_RECORD_LOCK:";
}
